Create Prior Authorization
curl --request POST \
--url https://app.silnahealth.com/api/public/v1/prior-authorizations/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patient_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"save_as_draft": false
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/prior-authorizations/"
payload = {
"patient_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"save_as_draft": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({patient_plan_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', save_as_draft: false})
};
fetch('https://app.silnahealth.com/api/public/v1/prior-authorizations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "DATA_REQUESTED",
"required_data": {
"treatment_codes": {
"required": true,
"standards": [
"CPT"
]
},
"documents": {
"required": true,
"items": [
{
"document_type": "AUTHORIZATION_FORM",
"required": true,
"document_intelligence": {
"validation_supported": true
}
}
]
},
"clinician_npi": {
"required": true
},
"start_date": {
"required": true
}
}
}{
"message": "<string>"
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}{
"message": "<string>"
}Prior Authorizations
Create Prior Authorization
POST
/
public
/
v1
/
prior-authorizations
/
Create Prior Authorization
This endpoint supports idempotency keys
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key to prevent duplicate requests. We support keys up to 255 characters.
Required string length:
1 - 255Body
application/json
Patient Plan ID
Specialty for the prior authorization
Available options:
PHYSICAL_THERAPY, ABA_THERAPY, SPEECH_THERAPY, OCCUPATIONAL_THERAPY, PSYCHOLOGICAL_TESTING, HOME_HEALTH_CARE, HOSPICE, CARDIAC_REHABILITATION, INTENSIVE_CARDIAC_REHABILITATION, MENTAL_HEALTH, PRINCIPAL_ILLNESS_NAVIGATION, PRINCIPAL_CARE_MANAGEMENT, ADVANCED_PRIMARY_CARE_MODELS, PREVENTATIVE_HEALTH, PARTIAL_HOSPITALIZATION_PROGRAM, INTENSIVE_OUTPATIENT_PROGRAM, INTERVENTIONAL_RADIOLOGY, VASCULAR_SURGERY, INTERVENTIONAL_CARDIOLOGY, ORTHOPEDICS, CHIROPRACTIC, GYNECOLOGY, LONG_TERM_CARE, NUTRITIONAL_COUNSELING, PHYSICAL_MEDICINE, PULMONARY_REHABILITATION, INJECTABLE_SPECIALTY_MEDICATIONS, ALLERGY_TESTING, SKILLED_NURSING, RADIOLOGY, OTOLARYNGOLOGY, DURABLE_MEDICAL_EQUIPMENT, DERMATOLOGY, PROFESSIONAL_OFFICE_VISIT, PSYCHIATRY, PRIVATE_DUTY_NURSING Type of authorization. Note: The following specialties are constrained to specific authorization types: Psychological Testing: Assessment authorization, Amendment
Available options:
ASSESSMENT_AUTHORIZATION, INITIAL_AUTHORIZATION, CONCURRENT_AUTHORIZATION, AMENDMENT Whether to save as draft. Only available if prior auth management is enabled. Reach out to your Silna contact to turn it on.
Response
ID of the created prior authorization
Status of the prior authorization
Available options:
DATA_REQUESTED, DATA_RECEIVED, ALL_REQUIRED_DATA_RECEIVED, REQUESTED, TOO_EARLY_TO_SUBMIT, UNNECESSARY, AWAITING_PROVIDER, PENDING_PROVIDER_SUBMISSION_REVIEW, AWAITING_SILNA, APPROVED_TO_SUBMIT, SUBMITTED_TO_PAYOR, PAYOR_DENIED, PAYOR_DENIED_APPEALING, AWAITING_RESUBMISSION, RESUBMITTED_TO_PAYOR, PAYOR_APPROVED, DENIED_UNAPPEALED, PRELIMINARY_APPROVAL, PARTIALLY_APPROVED, WITHDRAWN Data required to complete the prior authorization request
Show child attributes
Show child attributes